#!/bin/bash

# 1.6.2

if [ $# -lt 3 ]; then
  echo "Failure"
  exit 5
fi

CALLER_NUMBER=$1
CALLER_USERNAME=$2
CALLED_USERNAME=$3

UDID=`php /usr/iDorMobile/webgui/idorgui/deviceUdid.php`

nohup curl -s -X POST \
  -H "Content-Type: application/json" \
  -d "{
        \"user\": \"${CALLED_USERNAME}@${UDID}\",
        \"controller\": \"${UDID}\"
      }" \
  http://cnotification.idormobile.com/notifications/ > /dev/null 2>&1 &

echo Success
